org.wildfly.swarm.config.elytron

## Class TokenRealm<T extends TokenRealm<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.TokenRealm<T>

-     public class TokenRealm<T extends TokenRealm<T>>
      extends Object

  A security realm definition capable of validating and extracting identities from security tokens.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TokenRealm(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `Map` | `jwt()` A token validator to be used in conjunction with a token-based realm that handles security tokens based on the JWT/JWS standard.
    `T` | `jwt(Map value)` A token validator to be used in conjunction with a token-based realm that handles security tokens based on the JWT/JWS standard.
    `T` | `jwt(String key, Object value)` A token validator to be used in conjunction with a token-based realm that handles security tokens based on the JWT/JWS standard.
    `Map` | `oauth2Introspection()` A token validator to be used in conjunction with a token-based realm that handles OAuth2 Access Tokens and validates them using an endpoint compliant with OAuth2 Token Introspection specification(RFC-7662).
    `T` | `oauth2Introspection(Map value)` A token validator to be used in conjunction with a token-based realm that handles OAuth2 Access Tokens and validates them using an endpoint compliant with OAuth2 Token Introspection specification(RFC-7662).
    `T` | `oauth2Introspection(String key, Object value)` A token validator to be used in conjunction with a token-based realm that handles OAuth2 Access Tokens and validates them using an endpoint compliant with OAuth2 Token Introspection specification(RFC-7662).
    `String` | `principalClaim()` The name of the claim that should be used to obtain the principal's name.
    `T` | `principalClaim(String value)` The name of the claim that should be used to obtain the principal's name.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TokenRealm

          public TokenRealm(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### jwt

          public Map jwt()

      A token validator to be used in conjunction with a token-based realm that handles security tokens based on the JWT/JWS standard.

    - #### jwt

          public T jwt(Map value)

      A token validator to be used in conjunction with a token-based realm that handles security tokens based on the JWT/JWS standard.

    - #### jwt

          public T jwt(String key,
                       Object value)

      A token validator to be used in conjunction with a token-based realm that handles security tokens based on the JWT/JWS standard.

    - #### oauth2Introspection

          public Map oauth2Introspection()

      A token validator to be used in conjunction with a token-based realm that handles OAuth2 Access Tokens and validates them using an endpoint compliant with OAuth2 Token Introspection specification(RFC-7662).

    - #### oauth2Introspection

          public T oauth2Introspection(Map value)

      A token validator to be used in conjunction with a token-based realm that handles OAuth2 Access Tokens and validates them using an endpoint compliant with OAuth2 Token Introspection specification(RFC-7662).

    - #### oauth2Introspection

          public T oauth2Introspection(String key,
                                       Object value)

      A token validator to be used in conjunction with a token-based realm that handles OAuth2 Access Tokens and validates them using an endpoint compliant with OAuth2 Token Introspection specification(RFC-7662).

    - #### principalClaim

          public String principalClaim()

      The name of the claim that should be used to obtain the principal's name.

    - #### principalClaim

          public T principalClaim(String value)

      The name of the claim that should be used to obtain the principal's name.

Copyright © 2018 JBoss by Red Hat. All rights reserved.